Ngā whārangi splash
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
| search | Kōwhiringa Rārangi | Te rārangi rapu. |
| search_by | Kōwhiringa Rārangi | He aha te mara e rapu ana koe? Ko ngā uara e whakaaetia ana ko: name. |
| datetime_field | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: datetime, last_datetime |
| datetime_start | Kōwhiringa Rārangi | Tātarihia ngā hua mai i tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| datetime_end | Kōwhiringa Rārangi | Tātarihia ngā hua tae noa ki tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| order_by | Kōwhiringa Rārangi | He aha te mara hei whakarite i ngā hua. Ko ngā uara e whakaaetia ana ko: splash_page_id, datetime, last_datetime, name. |
| order_type | Kōwhiringa Rārangi | Ko te whakaritenga o ngā hua. Ko ngā uara e whakaaetia ana: ASC mō te whakaritenga piki, me DESC mō te whakaritenga heke. |
| page | Kōwhiringa Tāuru | Ko te tau whārangi e hiahia ana koe i ngā hua mai. Ka tūtohu ki te 1. |
| results_per_page | Kōwhiringa Tāuru | E hia ngā hua e hiahia ana koe mō ia whārangi. Ko ngā uara e whakaaetia ana ko: 10, 25, 50, 100, 250, 500, 1000. Ko te paerewa ko 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 17:05:02",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 17:05:02",
}
}
POST https://tistos.com/api/projects
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
| name | Tonoa Rārangi | - |
| title | Kōwhiringa Rārangi | - |
| logo | Kōwhiringa Kōnae | - |
| favicon | Kōwhiringa Kōnae | - |
| opengraph | Kōwhiringa Kōnae | - |
| description | Kōwhiringa Rārangi | - |
| secondary_button_name | Kōwhiringa Rārangi | - |
| secondary_button_url | Kōwhiringa Rārangi | - |
| custom_css | Kōwhiringa Rārangi | - |
| custom_js | Kōwhiringa Rārangi | - |
| ads_header | Kōwhiringa Rārangi | - |
| ads_footer | Kōwhiringa Rārangi | - |
| link_unlock_seconds | Kōwhiringa Tāuru | - |
| auto_redirect | Kōwhiringa Pūnaha Tūāhua | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
| name | Kōwhiringa Rārangi | - |
| title | Kōwhiringa Rārangi | - |
| logo | Kōwhiringa Kōnae | - |
| favicon | Kōwhiringa Kōnae | - |
| opengraph | Kōwhiringa Kōnae | - |
| description | Kōwhiringa Rārangi | - |
| secondary_button_name | Kōwhiringa Rārangi | - |
| secondary_button_url | Kōwhiringa Rārangi | - |
| custom_css | Kōwhiringa Rārangi | - |
| custom_js | Kōwhiringa Rārangi | - |
| ads_header | Kōwhiringa Rārangi | - |
| ads_footer | Kōwhiringa Rārangi | - |
| link_unlock_seconds | Kōwhiringa Tāuru | - |
| auto_redirect | Kōwhiringa Pūnaha Tūāhua | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \